Loading...
Searching...
No Matches
FFmpegWriter.h File Reference

Header file for FFmpegWriter class. More...

`#include "ReaderBase.h"`
`#include "WriterBase.h"`
`#include "FFmpegUtilities.h"`

Go to the source code of this file.

## Classes

class | openshot::FFmpegWriter
| This class uses the FFmpeg libraries, to write and encode video files and audio files. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Enumerations

enum | openshot::StreamType { openshot::VIDEO_STREAM , openshot::AUDIO_STREAM }
| This enumeration designates the type of stream when encoding (video or audio). More...

## Detailed Description

Header file for FFmpegWriter class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org, Fabrice Bellard

This file is originally based on the Libavformat API example, and then modified by the libopenshot project.

License

Definition in file FFmpegWriter.h.